<?php 
if($page > 0) {
	if (!empty($books)) echo $this->element('BooksList');
} else { 
?>
<div class="books index">
	<h3><?php __('Полный каталог фонда библиотеки');?></h3>
	<br/>
	<ul class="menucatalog">
	<?php 
	if (!empty($categories)) { 
		//var_dump($categories);
		foreach ($categories['Categories'] as $name => $id) {
			if (is_array($id)) $id = implode(',', $id);
			$link = $html->link($name, array('controller'=>'books','action'=>'index', $id));
			echo $html->tag('li', $link);
		}
	}
	?>
	</ul>
	<br/>
	<div class="filters">
	<?php 
	if (!empty($books)) {
		$paginator->options(array('url' => $this->passedArgs));
		echo __('Сортировать по: ',true);
		$aSortLinks = array(
		//$paginator->sort(array('desc'=> __('заглавию (Я-А)',true), 'asc'=> __('заглавию (А-Я)',true)), 'Title.Valeur'),
		//$paginator->sort(__('спрашиваемости',true),  'PretHisto.numPret', array('url'=>array('direction'=>'desc'))),
		//$paginator->sort(__('актуальности',true),    'PretHisto.lastPret', array('url'=>array('direction'=>'desc'))),
		$paginator->sort(__('популярности',true),    'Rating.votes', array('url'=>array('direction'=>'desc'))),
		$paginator->sort(__('рейтингу',true),        'Rating.rating', array('url'=>array('direction'=>'desc'))),
		$paginator->sort(__('дате поступления',true),'Book.DateCreation', array('url'=>array('direction'=>'desc'))),
		);
		echo implode('&nbsp;&nbsp;&nbsp;', $aSortLinks);
	}
	?>
	</div>
	<div class="related">
		<?php
		if (!empty($books)) echo $this->element('BooksList');
		?>
	</div>
</div>
<?php } ?>