<?php
$notice_id = $bookHelper->getId($book);
$rating = 0;
$numVotes = 0;

if (!empty($book['Rating']['rating'])) {
	$rating = $book['Rating']['rating'];
	$numVotes = $book['Rating']['numVotes'];
}
	
$title_full = coalesce($hl['title'][0], $bookHelper->full_title($book));
$title_full = $bookHelper->text->truncate($title_full,200,'...',false,true);
//$author_first = coalesce($hl['author'][0], $bookHelper->author($book));
$author_first = $bookHelper->authorAsLink($book, array('class' => 'full-card-top-link', 'output' => 'array'));
$author_first = $author_first[0];
$ptitle = $bookHelper->ptitle($book,array('truncate'=>0, 'append'=>'<br/>'));
$isbns = ($hl['ISBN'][0]) ? $hl['ISBN'] : $bookHelper->isbn($book, array('output'=>'array'));
$isbn = (empty($isbns) ? __('ISBN отсутствует',true) : 'ISBN '.implode(', ', $isbns));

$collect = ($hl['series'][0]) ? $hl['series'][0] : $bookHelper->collection($book);
$collectId = ($hl['series'][0]) ? $hl['series'][0] : $bookHelper->collectionId($book);
//$collectLink = $html->link($collect, array('controller' => 'Matieres', 'action' => 'index', 'Matiere.IdPere' => $collect));

$prepend = '<div style="color: rgb(102, 102, 102);">' . __('Серия:', true) .' ';
$append  = '</div>';

$collection = $bookHelper->collectionAsLink($book, compact('prepend','append'));

$doc_type = $bookHelper->doc_type($book);
$date = coalesce($bookHelper->date($book, array('append'=> __(' г.', true))),  __('б.г.', true)) ;
$editorial = ($hl['editors'][0]) 
	? implode(', ',$hl['editors']).', ' : $bookHelper->editorial($book, array('append'=>', '));
$exmp_location = $bookHelper->exmp_location($book['Exemplaire']);


// непосредственно карточка
echo "<b>".$doc_type."</b><br/>";
echo $author_first;
?>
<br/>
<a class="big1" title="<?php echo preg_replace('/<.*?>/', '', $title_full);?>" href="<?php echo $detail_url; ?>">
<?php echo $title_full;?>
</a><br/>
<small>
	<?php 
	echo $ptitle;
	// Серия
	echo $collection;
	
	// Издательство
	echo $editorial.$date.'<br/>'.$isbn;
	echo '<br/>'.$exmp_location;
	?>
</small>
<div style="clear: right; display: block;">
	<?php
	if(!isset($rss)){
		echo $this->element('stars', compact('rating', 'numVotes', 'notice_id'));
	}
	?>
</div>
<br style="line-height: 1.5em;"/>
	<?php 
	$aUrl =$bookHelper->value($book, '856', 'u', array('output'=>'array'));
	
	foreach ($aUrl as $url){
		$redirectActionUrl = $bookHelper->getRedirectUrl($url,$book,$source);
	  	echo '<p class="smallcaps">'.$html->link(__('полный текст', true), $redirectActionUrl, array('target'=>'_blank')).'</p>';
	}
	// аннотация
	// echo $bookHelper->value($book, '330', 'a', array('truncate'=>200, 'prepend'=>'<p>', 'append'=>'</p>'));
	?>
<br style="line-height: 1em;"/>