<?php

$selected = (!is_null($ids_print)) ? explode(',',$ids_print) : array();

?>
<div class="bookslist">
<?php

foreach ($data['response']['docs'] as $book){

	$id = $book['id'];
	$hlight = & $data['highlighting'][$id];
	$doc_type = $bookHelper->doc_type(null,$book['categ']);
	$source = is_string($book['source']) ? $book['source'] : 'default';
	$detail_url = $html->url(array('controller'=>'notices','action'=>'index','IdNotice'=>$id,'Source'=>$source));

	$title_full = coalesce(implode(', ',$hlight['title']),	$book['title']);
	$author = 	coalesce(implode(', ',$hlight['author']), 	$book['author'],	__('Коллективный автор',true));
	$editor = 	coalesce(implode(', ',$hlight['editors']), 	implode(', ',$book['editors']));
	$city = 	coalesce(implode(', ',$hlight['cities']), 	implode(', ',$book['cities']));
	$year = 	coalesce(implode(', ',$hlight['years']), 	implode(', ',$book['years']));
	$isbn = 	coalesce(implode(', ',$hlight['ISBN']), 	implode(', ',$book['ISBN']));
	$series = 	coalesce(implode(', ',$hlight['series']),	implode(', ',$book['series']));

	$title_nohtml = preg_replace('/<.*?>/', '', $title_full);
	if($series)	$series = __('Серия: ',true).'<a>'.$series.'</a><br/>';
	if($editor)	$editor .= ', ';
	$isbn = ($isbn) ? __('ISBN: ',true).$isbn  :  __('ISBN отсутствует',true);
	$year .= ($year) ? __(' г.',true) : __('б.г.',true);

	/*отобран для печати*/
	$checked = (in_array($id,$selected) && $id>0);
	$cheakbox_params = array('name'=>$id, 'onclick'=>'javascript:add_print(this)', 
							 'id'=>'printed_'.$id, 'checked'=>$checked);
	
	/* путь к картинкам*/
	$img_link = '/img/doctypes/'.$bookHelper->img_name(null,$book['categ']).'.gif';
	$img_params = array('alt'=>$title_nohtml, 'class'=>'bl-image');

	?>
	<div class="bl-book" id="<?php echo $id; ?>"> 
	  <div class="bl-checkbox">
		<?php echo $form->checkbox('',$cheakbox_params);?>
      </div>
      <div class="bl-image-box">
       <table><tr>
	    <a title="<?php echo $title_nohtml ?>" href="<?php echo $detail_url; ?>">
			<?php echo $html->image($img_link, $img_params);?></a>
		</tr><tr>
		<div class="bl-exmp-status"> <?php echo 'Доступно<br />(ТЕСТ)'?></div>
	   </tr></table>
	  </div>
	 
	  <div class="bl-body">
    	<b><?php echo $doc_type;?></b><br/>
    	<?php echo $author?><br/>
		<a class="big1" title="<?php echo $title_nohtml;?>" href="<?php echo $detail_url; ?>">
			<?php echo $title_full;?></a><br/>
		<small>
			<?php echo $series.$editor.$year.'<br/>'.$isbn.'<br/>';?>
			<div class="bl-exemp-location"><?php /*ajax*/ ?></div>
		</small><br/>
		<div class="bl-url"><?php /*ajax*/ ?></div>
		<div class="bl-stars"><?php /*ajax*/ echo $this->element('StarsRemoteFunction');?></div>
      	</div>
      	<div class="bl-buttons"><?php  /*ajax*/ echo $this->element('BookButtons', compact('book'));?></div>
	  </div><br />
<?php
}
?>
</div>
