<?php
if(!$isAjax){
	$maxDocs = 50;
	$maxDocsErr = __('Максимально доступно документов для печати: ',true).$maxDocs;
	echo $javascript->codeBlock("
		ids_print = [$ids_print];
		
		function add_print(item){
			change_print($(item).attr('name'));
		}
		
		function print_all() {
			$('input[id*=\"printed_\"][type=\"checkbox\"]').each(function(){
				id = parseInt($(this).attr('name'));
				if($.inArray(id, ids_print) == -1 ){
					ids_print.push(id);
				}
			});
			$('input[id*=\"printed_\"]').attr('checked','true');
			$('#count_print').text(ids_print.length);
		};
		
		function change_print(id){
			id = parseInt(id);
			if($.inArray(id, ids_print) > -1 ){
				ids_print.splice($.inArray(id, ids_print), 1);
			}else{
				if(ids_print.length >= $maxDocs){
					alert('$maxDocsErr');
					return;
				}
				ids_print.push(id);
			}
			$('#count_print').text(ids_print.length);
		}
		
		function invert_print(){
			$('input[id*=\"printed_\"][type=\"checkbox\"]').each(function(){
				this.checked = !this.checked;
				change_print($(this).attr('name'));
			});
		};
		
		function reset(){
			ids_print = [];
			$('input[id*=\"printed_\"][type=\"checkbox\"]').each(function(){
				this.checked = false;
			});
			$('#count_print').text(ids_print.length);
		}
		
		function print() {
			if(ids_print.length == 0){
				alert('".__('Нет выбранныx записей',true)."');
				return;
			}
			if(ids_print.length >$maxDocs){
				alert('$maxDocsErr');
				return;
			}
			var ids = ids_print.join(',');
			reset();
			link = '".$html->url(array('controller'=>'Books','action'=>'print_books'))."/';
			window.open('".$html->url(array('controller'=>'Books','action'=>'print_books'))."/'+ids);
		};"
	);
}

$selected = (!is_null($ids_print)) ? explode(',',$ids_print) : array();
$count_print = (count($selected)>0 && $ids_print!='') ? count($selected) : 0;
echo '<div class="printmenu">';
__("Отобрать для печати: ");
echo '<a href="javascript:print_all();">'.__('страницу',true).'</a>'." | ";
echo '<a href="javascript:invert_print();">'.__('инверсия',true).'</a>'." | ";
echo '<a href="javascript:reset();">'.__('сброс',true).'</a>'." | ";
echo '<a href="javascript:print()">'. __('печать',true).'</a>';
echo '(<span id="count_print">'.$count_print.'</span>)';
if($pageInfo){
	echo '<span style="margin-left:10px;">'.$pageInfo.'</span>' ;
}
echo '</div>';
?>