CREATE NONCLUSTERED INDEX [_dta_index_NOTICE_DateCreation] ON [dbo].[NOTICE] 
(
	[DateCreation] DESC,
	[Categ] ASC
)
INCLUDE ( [IdNotice]) WITH (SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF) ON [PRIMARY]
GO

CREATE STATISTICS [_dta_stat_492684953_1_10] ON [dbo].[NOTICE]([IdNotice], [DateCreation])
GO

CREATE STATISTICS [_dta_stat_492684953_2_1_10] ON [dbo].[NOTICE]([Categ], [IdNotice], [DateCreation])
GO

CREATE NONCLUSTERED INDEX [_dta_index_EXEMPLAIRE_9_1443640336__K7_15] ON [dbo].[EXEMPLAIRE] 
(
	[idNotice] ASC
)
INCLUDE ( [DateAcquisition]) WITH (SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [_dta_index_EXEMPLAIRE_DateAcquisition] ON [dbo].[EXEMPLAIRE] 
(
	[DateAcquisition] ASC
)
GO