/****** :  View [dbo].[view_NOTICE_200a_100char]     : 06/01/2009 11:09:30 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_NOTICE_200a_100char]'))
DROP VIEW [dbo].[view_NOTICE_200a_100char]

GO
/****** :  View [dbo].[view_NOTICE_200a_100char]     : 06/01/2009 11:13:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[view_NOTICE_200a_100char]
WITH SCHEMABINDING
AS
SELECT IdNotice, CAST(LEFT(Valeur, 100) AS nvarchar(100)) AS Valeur FROM dbo.NOTICE_Z  WHERE 
(IdZone='200' AND sZone='a' AND NumOrdre = 0)
OR
(IdZone='200' AND sZone='a' AND NumOrdre IS NULL)

GO
SET ARITHABORT ON
GO
SET CONCAT_NULL_YIELDS_NULL ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
SET ANSI_PADDING ON
GO
SET ANSI_WARNINGS ON
GO
SET NUMERIC_ROUNDABORT OFF
GO
/****** :  Index [200a_char100_UX]     : 06/01/2009 11:17:53 ******/
CREATE UNIQUE CLUSTERED INDEX [200a_char100_UX] ON [dbo].[view_NOTICE_200a_100char] 
(
	[IdNotice] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

GO
/****** :  Index [IDX_Valeur_char100]     : 06/01/2009 11:18:48 ******/
CREATE NONCLUSTERED INDEX [IDX_Valeur_char100] ON [dbo].[view_NOTICE_200a_100char] 
(
	[Valeur] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

/****** :  View [dbo].[view_NOTICE_225ai]     : 06/01/2009 14:50:28 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_NOTICE_225ai]'))
DROP VIEW [dbo].[view_NOTICE_225ai]
GO

/****** :  View [dbo].[view_NOTICE_225ai]     : 06/01/2009 14:50:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[view_NOTICE_225ai]
WITH SCHEMABINDING
AS
SELECT dbo.NOTICE_Z.IdNoticeZ, dbo.NOTICE_Z.IdNotice, dbo.NOTICE_Z.IdZone, dbo.NOTICE_Z.sZone, 
                      CAST(dbo.COLLECTION.Libelle AS nvarchar(200)) AS Valeur
FROM         dbo.NOTICE_Z 
LEFT JOIN
                      dbo.COLLECTION ON dbo.NOTICE_Z.Valeurn = dbo.COLLECTION.IdCollection AND dbo.NOTICE_Z.IdZone = '225' AND 
                      dbo.NOTICE_Z.sZone = 'a'
LEFT JOIN
                      dbo.SOUSCOLLECTION ON NOTICE_Z.Valeurn = dbo.SOUSCOLLECTION.IdSousCollection AND NOTICE_Z.IdZone = '225' AND 
                      NOTICE_Z.sZone = 'i'
WHERE NOTICE_Z.idZone = '225' AND (NOTICE_Z.sZone = 'i' OR NOTICE_Z.sZone = 'a')

GO

/********    ************/
GO

/****** :  View [dbo].[view_Notice4Liens]     : 06/16/2009 17:42:34 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_Notice4Liens]'))
DROP VIEW [dbo].[view_Notice4Liens]
GO

/****** :  View [dbo].[view_Notice4Liens]     : 06/16/2009 17:45:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[view_Notice4Liens]
AS
SELECT  NOTICE.IdNotice, _CATEG_NOTICE.IdCategNotice, CAST(_CATEG_NOTICE.Libelle AS nvarchar(255)) AS Categ, 
                      _CATEG_NOTICE.IdLangueSoft, view_NOTICE_200a_100char.Valeur, CAST(NOTICE_Z_1.Valeur AS nvarchar(3000)) AS [461v], 
                      CAST(v1.Valeur AS nvarchar(3000)) AS [200h]
FROM         NOTICE 
LEFT OUTER JOIN
     NOTICE_Z AS v1 ON NOTICE.IdNotice = v1.IdNotice AND v1.IdZone = N'200' AND v1.sZone = 'h'
LEFT OUTER JOIN
     NOTICE_Z AS NOTICE_Z_1 ON NOTICE.IdNotice = NOTICE_Z_1.IdNotice AND NOTICE_Z_1.IdZone = N'461' AND 
                      NOTICE_Z_1.sZone = N'v' 
LEFT OUTER JOIN
     _CATEG_NOTICE ON NOTICE.Categ = _CATEG_NOTICE.IdCategNotice 
LEFT OUTER JOIN
      view_NOTICE_200a_100char ON NOTICE.IdNotice = view_NOTICE_200a_100char.IdNotice

GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "NOTICE"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 114
               Right = 198
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "_CATEG_NOTICE"
            Begin Extent = 
               Top = 23
               Left = 492
               Bottom = 131
               Right = 652
            End
            DisplayFlags = 280
            TopColumn = 4
         End
         Begin Table = "view_NOTICE_200a_100char"
            Begin Extent = 
               Top = 121
               Left = 307
               Bottom = 199
               Right = 467
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'view_Notice4Liens'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'view_Notice4Liens'


/****** :  View [dbo].[view_NOTICE_225a]     : 06/16/2009 17:44:10 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_NOTICE_225a]'))
DROP VIEW [dbo].[view_NOTICE_225a]
GO

/****** :  View [dbo].[view_NOTICE_225a]     : 06/03/2009 15:34:04 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[view_NOTICE_225a]
WITH SCHEMABINDING
AS
SELECT dbo.NOTICE_Z.IdNoticeZ, dbo.NOTICE_Z.IdNotice, dbo.NOTICE_Z.IdZone, dbo.NOTICE_Z.sZone, dbo.NOTICE_Z.NumOrdre, dbo.NOTICE_Z.NumOrdre2,
                      CAST(dbo.COLLECTION.Libelle AS nvarchar(200)) AS Valeur, dbo.COLLECTION.IdCollection AS ValeurN
FROM         dbo.NOTICE_Z 
INNER JOIN
dbo.COLLECTION ON dbo.NOTICE_Z.Valeurn = dbo.COLLECTION.IdCollection
WHERE NOTICE_Z.idZone = '225' AND NOTICE_Z.sZone = 'a'

GO
SET ARITHABORT ON
GO
SET CONCAT_NULL_YIELDS_NULL ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
SET ANSI_PADDING ON
GO
SET ANSI_WARNINGS ON
GO
SET NUMERIC_ROUNDABORT OFF
GO
/****** :  Index [IX_NOTICE_225a]     : 06/03/2009 15:34:28 ******/
CREATE UNIQUE CLUSTERED INDEX [IX_NOTICE_225a] ON [dbo].[view_NOTICE_225a] 
(
	[IdNotice] ASC,
	[IdZone] ASC,
	[sZone] ASC,
	[IdNoticeZ] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

GO
/****** :  Index [IX_NOTICE_225a_valeur]     : 06/03/2009 15:35:22 ******/
CREATE NONCLUSTERED INDEX [IX_NOTICE_225a_valeur] ON [dbo].[view_NOTICE_225a] 
(
	[Valeur] ASC,
	[ValeurN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]