IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ratings]') AND type in (N'U'))
DROP TABLE [dbo].[ratings];

CREATE TABLE ratings (
  id int IDENTITY(1,1) NOT NULL,
  model_id varchar(50),
  notice_id int,
  item varchar(254),
  rating float default NULL,
  votes int default NULL,
  numVotes int default NULL,
  IP varchar(254),
  viewed int NOT NULL default '0',
  PRIMARY KEY  (id)
);

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ratelogs]') AND type in (N'U'))
DROP TABLE [dbo].[ratelogs];

--# ALTER TABLE `Rate` CHANGE `Rating` `Rating` FLOAT DEFAULT NULL

CREATE TABLE ratelogs (
  id int IDENTITY(1,1) NOT NULL,
  user_id int,
  rating_id int,
  remote_addrs varchar(20) default NULL,
  remote_host varchar(200) default NULL,
  user_agent varchar(200) default NULL,
  regtime datetime default NULL,
  viewed int NOT NULL default '0'
  PRIMARY KEY  (id)
);