<?php
require_once('widgets.inc.php');
class UhelpController extends WidgetsController {

	var $name = 'Uhelp';
	var $uses =  array();//array('User','Parametre');
		
	function beforeFilter() {
		parent::beforeFilter();
		$this->Auth->allow('*');
		$this->autoRender = false;
	}
	
	function afterFilter(){
		$this->render('default', 'ajax');
	}
	
	function clear_btm(){
		$help_example = array(
			'title' => __("Очистка формы", true),
			'text' => __("Удаляет все введённые данные и фозвращает форму к исходному состоянию", true),
		);
		$this->set('uhelp',$help_example);
	}
	
	function search_help(){
		$help = array(
			'title' => __("О поиске", true),
			'text' => __("Данная форма используется для нахождения документов.<br/>
						  Задайте поисковые параметры и введите значения.<br/>
						  Для некоторых полей работает функция автоподбора.<br/>
						  Так же можно воспользоваться поиском по<br/>
						  <a href=\"/cake/index.php?url=/auteurs\">авторам</a>,
						  <a href=\"/cake/index.php?url=/collections\">сериям</a>, 
						  <a href=\"/cake/index.php?url=/editeurs\">издательствам</a>.
						  ", true),
		);
		$this->set('uhelp',$help);
	}
	
	function index(){
		$this->set('uhelp', aa('title',__("Найти!", true)));
	}
	
	function year_start(){
		$this->set('uhelp', aa('text',__("Введите год с которого издан документ", true)));
	}
	
	function year_end(){
		$this->set('uhelp', aa('text',__("Введите год до которого издан документ", true)));
	}

	function full_text(){
		$this->set('uhelp', aa('text', __("Искать документы на которые есть ссылка", true)));
		$this->set('');
	}
	
	function all_doc_types(){
		$this->set('uhelp', aa('text', __("Выбрать тип документа для поиска", true)));
	}
}
?>