<?php
class Collection extends AppModel {

	var $name = 'Collection';
	var $useTable = 'collection';
	var $primaryKey = 'IdCollection';
	
	var $ac_params = array('search'=>'Libelle', 'value'=>'Libelle', 'result'=>'Libelle');
	
		var $belongsTo = array(
		'Editeur' => array(
			//'className' => 'bibliotheque',
			'foreignKey' => 'IdEditeur',
			//'conditions' => '',
			//'fields' => 'Nom',
			//'order' => ''
		)
	);
	
	/**
	 * Функция подсчитывает количество описаний в серии
	 *
	 * @param mixed   $id - идентификатор серии (int или array)
	 * @return array
	 */
	function getNoticeCount($id=null) {
		if(is_null($id)) return a();
		$options = a();
		
		$options['joins'] = array(
			array(
				'table' => 'NOTICE_Z',
				'alias' => 'CollectionNotice',
				'type'  => 'inner',
				'conditions' => array('CollectionNotice.IdZone'=> '225', 'CollectionNotice.sZone' => 'a','CollectionNotice.Valeurn = Collection.IdCollection'),
		));
		$options['conditions'] = array('Collection.IdCollection' => $id);
		$options['fields'] = array('Collection.IdCollection',"COUNT(DISTINCT CollectionNotice.IdNotice) AS books_count");
		$options['group']  = array('Collection.IdCollection');
		
		$res = $this->find('all', $options);
		return Set::combine($res,'{n}.Collection.IdCollection','{n}.0.books_count');
	}
}
?>