<?php
class DefChamp extends AppModel {

	var $name = 'DefChamp';
	var $useDbConfig = 'struct';
	var $useTable = 'Def_champs';
	var $primaryKey = 'Nom_page, IdCalque, Num_onglet, No_ordre';

	var $belongsTo = array(
		'Libelle' => array(
			'className' => 'Libelle',
			'foreignKey' => 'IdLibelle',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		)
	);
	
	var $fields_models = array(
		'200_F' => array('model'=>'Auteur'),
		'200_G' => array('model'=>'Auteur'),
		'210_C' => array('model'=>'Editeur'),
		'225_A' => array('model'=>'Collection'),
		'SUJET'  => array('model'=>'Matiere'),
		'R600_A'  => array('model'=>'Matiere'),
		);
	
	function getFieldModel($Field = '200_F') {
		if (key_exists($Field, $this->fields_models)) {
			return $this->fields_models[$Field]['model'];
		} else {
			return null;
		}
	}

}
?>