<?php
class Notice extends AppModel {

	var $name = 'Notice';
	var $useTable = 'NOTICE';
	var $primaryKey = 'IdNotice';
	var $actsAs = array('Containable');

	//The Associations below have been created with all possible keys, those that are not needed can be removed
	var $hasMany = array(
		'NoticeZ' => array(
			'className' => 'NoticeZ',
			'foreignKey' => 'IdNotice',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		)
	);
	
	function getLiensUp($id = 0) {
		$res = $this->query("SELECT IdNoticeSource as IdNotice FROM LIEN_NOTICE 
							WHERE $id = IdNoticeCible");
		return $res;
	}
	
	function getLiensDown($id = 0) {
		$res = $this->query("SELECT IdNoticeCible as IdNotice FROM LIEN_NOTICE 
							WHERE $id = IdNoticeSource");
		return $res;
	}
	
	function checkUrlExists($idNotice, $url) {
		$this->setSource('view_NOTICE_856u');
		$res = $this->find('all', array('conditions'=>array('IdNotice' => $idNotice)));
		$res = Set::classicExtract($res, '{n}.Notice.Valeur');
		if (in_array($url, array_values($res))) {
			return true;
		}
		return false;
	}

}
?>