<?php
class NoticesTags extends AppModel {

	var $name = 'NoticesTags';
	var $primaryKey = 'id';
	var $useTable = 'opac_notices_tags';
	
	var $belongsTo = array(
		'User' => array(
			'className' => 'User',
			'foreignKey' => 'user_id',
			'fields'=> array('Nom','Prenom','CodbarU','IdUsager')
		),
		'Book'=>array(
			'className' => 'Book',
			'foreignKey' => 'notice_id',
		),
		'Tag'=>array(
			'className' => 'Tag',
			'foreignKey' => 'tag_id',
		)
	);
}
?>