<?php
class User extends AppModel{

	var $name 		= 'User';
	var $useTable 	= 'Usager';
	var $primaryKey = 'IdUsager';
	var $actsAs = array('Containable');
	
	var $hasAndBelongsToMany = array(
		'Souscription' => array(
			'className' => 'Souscription',
			'joinTable' => 'usager_souscription',
			'foreignKey' => 'IdUsager',
			'associationForeignKey' => 'IdSouscription',
			'unique' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'finderQuery' => '',
			'deleteQuery' => '',
			'insertQuery' => ''
		),
	);

	function getUserInfo($idUser){
		$tableName = $this->name;
		$cond = array(
		'conditions' => array("$tableName.idUsager" => $idUser),
		'fields' => array("$tableName.codbarU",
		"$tableName.idsexe",
		"$tableName.nom",
		"$tableName.prenom",
		"$tableName.DateNaissance"
		//"$tableName.datePreRestitution",
		),
		);
		$result = $this->find('all',$cond);

		if(count($result) == 0){
			return false;
		}

		$res = array();
		foreach ($result as $row){
			$res[] = $row[$tableName];
		}
		return $res;
	}


	function hashPasswords($data) {
		return $data;
	}

	function beforeFind(&$queryData) {
		parent::beforeFind();
		// Проверяем, есть ли в условиях поиска пароль. Если есть - подправляем поиск при идентификации пользователя
		if (key_exists('User.MotPasse', $queryData['conditions'])) {
			
			// Устраняем уязвимость - при вводе "1" в качестве пароля было возможно авторизоваться
			if ($queryData['conditions']['User.MotPasse'] == 1) {
				// запрет на аутентификацию с паролем "1"
				$queryData['conditions'][] = '0 = 1';
				return $queryData;
			}
			$password = $queryData['conditions']['User.MotPasse'];
			
			unset($queryData['conditions']['User.MotPasse']);
			
			
			$queryData['conditions'][] = array(
				'OR' => array(
					array('User.MotPasse' => $password),
					array('User.PreNom LIKE N'=>"$password %", 'User.MotPasse' => '1'),
					//array('User.PreNom LIKE N'=>"$password %", 
					//	  "Convert(Nvarchar(max), DecryptByAsymKey(AsymKey_ID('PDProtection'),User.MotPasse, dbo.get_passw() ))" => '1'),
					array('User.PreNom LIKE N'=>"$password", 'User.MotPasse' => '1'),
					array("User.MotPasse = HashBytes('MD5', N'$password')")
				)
			);	

		}
		return $queryData;
	}
	
	function findAllIds($CodbarU) {
		$CodbarU = $CodbarU;
		$fields  = array($this->primaryKey);
		$conditions = array('CodbarU LIKE '=>'%'.substr($CodbarU, 1));
		if (!empty($CodbarU)) return $this->find('list', compact('fields','conditions'));
		return false;
	}
}

?>