<?php
class ArraivalsController extends AdminAppController {
	
	var $name = "Arraivals";
	var $uses = array('Admin.Admins','Book','Bookshelf', 'BookshelvesBooks');
	var $helpers = array('Html', 'Form', 'BookHelper', 'Javascript','Ajax');
	/**
	 * @var Bookshelf
	 */
	var $Bookshelf;
	/**
	 * @var Book
	 */
	var $Book;
	/**
	 * @var Auth
	 */
	var $Auth;
	
	function beforeFilter(){
		parent::beforeFilter();
		$this->Auth->allow('show_public');
		//$this->Auth->deny('index');
	}
	
	function index() {
		$this->redirect(array('action'=>'login'));
	}
	
	function login() {
	}

	function logout() {
        $this->redirect($this->Auth->logout());
    }
    
    function show_main(){
    	$this->paginate['Admins']['order'] = array('Nom');
    	$res = $this->paginate($this->Admins);
    }
    
    function show_public($id=0){
    	
    	$condition = array(
    		'Bookshelf.is_public >'=> 0
    	);
    	if(is_array($id) || $id>0){
    		$condition['Bookshelf.id'] = $id;
    	}
    	$this->paginate['Bookshelf']['order'] = array('created');
    	
    	$this->Bookshelf->recursive = -1;
    	$data = $this->paginate($this->Bookshelf,$condition);
    	$this->set('bookshelves',$data);
    }
    
    function public_shelf($id=0){
    	// проверка доступа
    	$this->Bookshelf->recursive = 1;
    	$bookshelf = $this->Bookshelf->read(null, $id);
		$this->set('bookshelf', $bookshelf);
			
		$books = $bookshelf['Book'];
		$this->set('books', $books);
    }
	
		
}
?>