<?php
class UserAddress extends UregistrationAppModel{
    
    var $name       = 'UserAddress';
    var $useTable   = 'Usager_Adr';
    var $primaryKey = array('IdUsager','NumAdr');
	
    var $belongsTo = array(
    	'User' => array(
    		'className' => 'Uregistration.Uruser',
    		'foreignKey'=> 'IdUsager'
    	)
    );
    
    function getMaxNumAdr(){
        $na = $this->query('SELECT max(NumAdr) as NumAdr FROM USAGER_ADR');
        $na = Set::extract('{n}.0.NumAdr',$na);
        return $na[0]+1;
    }
    
    function addNewAddress($data, $userId){
    	
    	$currTime = date('Y-m-d H:i:s',time());
    	$numAdr   = $this->getMaxNumAdr();
    	
    	$additionalAddressInfo = array(
    		'IdUsager' => $userId,
	    	'NumAdr' => $numAdr,
	    	'UserCreation' => 0,
	    	'DateCreation' => $currTime,
	    	'UserMaj' => 0,
	    	'DateMaj' => $currTime,
	    	'Adresse1' => 'не указан',
	    	'Flag_Relance' => 1,
	    	/* NULL-поля
	    	'Adresse2',
	    	'CodePostal',
	    	'Ville',
	    	'Pays_adr',
	    	'Tel',
	    	'Fax',
	    	'Portable',
	     	'Email',
	      	'Notes_adr',
	     	'IdVilleCodPostal',*/
    	);
    	
    	$data['UserAddress'] = array_merge($data['UserAddress'], $additionalAddressInfo);
    	
    	$fields = $this->save($data);
    	
    	$this->query("UPDATE COMPTEUR SET ValCompteur = (SELECT max(NumAdr) FROM USAGER_ADR) WHERE IdCompteur = N'USAGER_ADR'");
    	
    	return $fields;
    }
}
?>