<?php  $this->pageTitle = __('Книжная полка', true); ?>
<?php 
    $ext = '.min';
	echo $javascript->link('jquery'.$ext, false);
	echo $javascript->link('jquery.form'.$ext, false);
	echo $javascript->link('shelf', false);
	echo $javascript->link('/js/rating/jquery.rating'.$ext, false); 
	echo $html->css('jquery.rating.css'); 
?>
<div class="bookshelves view">
<?php $session->flash(); ?>
<div class="actions" style="font-size: 120%;">
<ul>
<?php
echo '<li>'.$html->link(__("Текущие заказы",true), array('controller'=>'user_card','action'=>'index')).'</li>';
echo '<li>'.$html->link(__("История",true) , array('controller'=>'user_card','action'=>'history')).'</li>';
echo '<li>'.$html->link(__("Книжная полка",true), array('controller'=>'bookshelves','action'=>'index')).'</li>';
echo '<li>'.'<a class="button" href="javascript:print_shelf('.$bookshelf['Bookshelf']['id'].')">'. __('Печать полки',true).'</a>'.'</li>';
?>
</ul>
</div>
<h3><?php echo $bookshelf['Bookshelf']['libelle']; ?></h3>

<?php if (in_array(LIBER_PLUGIN_WEB20, Configure::read(LIBER_PLUGINS))) : ?>
<div class="actions">
	<ul>
		<li><?php echo $html->link(__('Редактировать книжную полку', true), array('action' => 'edit', $bookshelf['Bookshelf']['id'])); ?> </li>
		<li><?php echo $html->link(__('Удалить книжную полку', true), array('action' => 'delete', $bookshelf['Bookshelf']['id']), null, sprintf(__('Вы уверены что хотите удалить # %s?', true), $bookshelf['Bookshelf']['id'])); ?> </li>
		<li><?php echo $html->link(__('Список книжных полок', true), array('action' => 'index')); ?> </li>
		<li><?php echo $html->link(__('Новая книжная полка', true), array('action' => 'add')); ?> </li>
		<li><?php //echo $html->link(__('Список книг', true), array('controller' => 'books', 'action' => 'index')); ?> </li>
		<li><?php //echo $html->link(__('Новая книга', true), array('controller' => 'books', 'action' => 'add')); ?> </li>
	</ul>
</div>
<?php endif; 

if (empty($books)) {
	echo '<p>';
	__('Книжная полка пуста');
	echo '</p>';
} else {
	
	$options = array(
		'table' => array('cellpadding'=>0,
					 'cellspacing'=>0,
					 'class' => "liber"),
		'headers' => array(
			'ratings' => __('Рейтинг',true),
			'titles' => __('Заглавие',true),
			'auteurs' => __('Автор',true),
			'years' => __('Год',true),
			'isbn' => __('ISBN',true),
			'remove' => __('Убрать',true),
			'reserve' => __('Заказать',true),),
		'oddRow' => array('class' => 'altrow'),
		//'evenRow' => array('param'=> 'value'),
	);
	
	
	$xpId = '/Book/IdNotice';
	$xpNZ = '/NoticeZ';
	$bs_id = $bookshelf['Bookshelf']['id'];
	$data = array(
		'books_id' => Set::combine($books,'/detail_url/IdNotice',
						array('Source:{1};IdNotice:{0}'.";bookshelf:$bs_id", '/detail_url/IdNotice', '/detail_url/Source')),
		'auteurs' => Set::combine($books,$xpNZ.'[IdZone=200][sZone=f]/Valeurn',
						$xpNZ.'[IdZone=200][sZone=f]/Valeur',$xpNZ.'[IdZone=200][sZone=f]/IdNotice'),
		'titles' => Set::combine($books,$xpId,'/Book/Titre',$xpId ),
		'years' => Set::combine($books,$xpNZ.'[IdZone=210][sZone=d]/IdNotice',
					$xpNZ.'[IdZone=210][sZone=d]/Valeur',$xpNZ.'[IdZone=210][sZone=d]/IdNotice' ),
		'ratings' => Set::combine($books,$xpId,'/Rating'),
		'isbn' => Set::combine($books,$xpNZ.'[IdZone=010][sZone=a]/IdNotice',
					$xpNZ.'[IdZone=010][sZone=a]/Valeur',$xpNZ.'[IdZone=010][sZone=a]/IdNotice'),
		'remove' => true,
		'reserve' => Set::combine($books,'/Exemplaire/IdNotice','/Exemplaire/IdNotice'),
	);
	if(Configure::read('opac.reservation.hide') === 1){
		unset($options['headers']['reserve']);
		unset($data['reserve']);
	}
	
	echo $this->element('bookTable',array('options'=>$options,'data'=>$data));
	
	if ($paginator->hasPrev()) { echo $paginator->prev('<< '.__('назад', true), null, null, array('class'=>'disabled')).' | '; }
	if ($paginator->hasPage() && is_array($filterOptions)) { echo $paginator->numbers($filterOptions); }
	if ($paginator->hasNext()) { echo ' | '.$paginator->next(__('вперед', true).' >>', null, null, array('class'=>'disabled')); }
	echo '<br/>';
}

// Подключение вызова удаленной функции по AJAX звездочками
echo $this->element('StarsRemoteFunction');
?>