<?php

echo $html->css('/css/ext.examples.css', null, null, false);
echo $html->css('/css/ext.ext-all.css', null, null, false);
echo $html->css('/css/tables.css', null, null, false);
echo $html->css('/css/modal.css', null, null, false);
echo $html->css('/css/search_forms.css', null, null, false);

echo $javascript->link('jquery.min.js', false);

if (isset($filter_form_settings)) {
	echo $this->element('AuthFilterForm', compact('filter_form_settings', 'filter'));
}
?>
<?php
//echo $form->end();

echo $javascript->codeBlock("
jQuery.noConflict(); \$j = jQuery;

\$j.fn.clearForm = function() {
  return this.each(function() {
    var type = this.type, tag = this.tagName.toLowerCase();
    if (tag == 'form')
      return \$j(':input',this).clearForm();
    if (type == 'text' || type == 'password' || tag == 'textarea')
      this.value = '';
    else if (type == 'checkbox' || type == 'radio')
      this.checked = false;
    else if (tag == 'select')
      this.selectedIndex = -1;
  });
};");

echo $javascript->codeBlock("
function clean(form) { 
	jQuery(form).clearForm(); 
	form.submit(); 
}
");
?>
<br/>
Страница <?php 
/* @var $paginator PaginatorHelper */
echo $paginator->counter(array('separator' => __(' из ',true) )); ?> 
<table cellspacing="0" cellpadding="0" class="liber">
    <tr>
        <th class="bold" style="width: 350px;"><?php echo $paginator->sort(__('Название:',true), 'Editeur.Nom', $filter);?></th> 
        <th><?php __("Документов"); ?></th>
        <th>&nbsp;</th>
    </tr> 
<?php foreach($editeurs as $editeur) {
	$id = $editeur['Editeur']['IdEditeur'];
	$nom_full = implode(', ', array($editeur['Editeur']['Nom'], $editeur['Editeur']['Ville']));
	$coll_count = Set::extract('Collection.0.Collection.0.total_count', $editeur);	
	$details_url = array("controller" => "editeurs",
	"action" => "view",
	"source" => $source,
	"id" => $editeur['Editeur'][$idField]);

?>
    <tr> 
        <td><?php echo $html->link($nom_full, $details_url); ?></td>
        <td><?php echo (array_key_exists($id,$noticeCount)) ? $html->link($noticeCount[$id], $details_url) : '&nbsp;';?></td>
        <td><?php echo (!empty($coll_count) ? __('cерии: ').$coll_count : '&nbsp;'); ?></td>
    </tr> 
<?php } // end foreach ?> 
</table> 
<?php echo $paginator->prev(__('<< Назад ',true)); ?> 
<?php echo $paginator->numbers($filter); ?> 
<?php echo $paginator->next(__(' Вперед >>',true)); ?>
</div>
<pre>
<?php
//print_r($auteurs);
?>
</pre>
</p>