<?php

if($id == '') $id = 'pagination';
echo "<div id='$id'></div>";
?>
<div class="paging">
	<?php
	echo $javascript->link('jquery.paginate.js', false); 
	echo $html->css('jquery.paginate');
	if (!isset($filterOptions) || !is_array($filterOptions)) $filterOptions = array();
	if (key_exists(0,$this->passedArgs)) $filterOptions = array_merge_recursive($filterOptions, array('url'=>array($this->passedArgs[0])));
	$url = substr($this->here,strlen($this->base));
	$url = (count($filterOptions)>0) ? $paginator->link('',$filterOptions['url']) : $html->link(' ',$url);
	
	if ($paginator->hasPrev()) { echo $paginator->prev('<< '.__('назад', true), $filter, null, array('class'=>'disabled')).' | '; }
	if ($paginator->hasPage()) { echo $paginator->numbers($filterOptions); }
	if ($paginator->hasNext()) { echo ' | '.$paginator->next(__('вперед', true).' >>', $filter, null, array('class'=>'disabled')); }
	
	if(preg_match('/\"(\S+)\"/u',$url,$link)){
		$link = str_replace('/__page__','',$link[1]);
		$link = preg_replace('/page:(\d+)/','__page__',$link);
	}
	if(! strpos($link,'page') ){
		$link = $link.'/__page__';
	}
	if($paginator->counter(array('format' => '%pages%')) >1){
		echo $javascript->codeBlock("
		jQuery(document).ready(function() {
			jQuery('.paging').hide();
			jQuery('#$id').show();
			jQuery('#$id').paginate({
				count 		: ". coalesce($paginator->counter(array('format' => '%pages%')),0) .",
				start 		: ". coalesce($paginator->counter(array('format' => '%page%')),0) .",
				display     : 10,
				text_color  : '#3090F0',
				background_color  : 'none',	
				text_hover_color  : '#555555',
				background_hover_color	: 'none',
				onChange : redirect2 
			});
		});
		
		function redirect2(page){
			var link = '".$link."';
			link = link.replace('__page__','page:'+page);
			if(typeof(ids_print) == 'undefined') {ids_print=[];}; 
			//post(link, {'ids_print': ids_print});
			jQuery('#gray_progress').show();
			//debugger;
			jQuery('.BookListWrapper').load(link, {'ids_print': ids_print.join(',')}, 
			function() {
				jQuery('#gray_progress').hide();
			});
		}
		
		function post(URL, PARAMS) {
			var form=document.createElement(\"form\");
			form.action=URL;
			form.method=\"POST\";
			//form.target=\"_blank\";
			form.style.display=\"none\";
			for(var x in PARAMS) {
				var opt=document.createElement(\"textarea\");
				opt.name=x;
				opt.value=PARAMS[x];
				form.appendChild(opt);
			}
			document.body.appendChild(form);
			form.submit();
			return form;
		}
	");
	}
	?>
</div>
<div id="gray_progress" style="filter:alpha(opacity=20); opacity: 0.2; width: 100%; height: 1000%; position: absolute; background:gray; display:none;">
</div>