<?php

echo $html->css('/css/ext.examples.css', null, null, false);
echo $html->css('/css/ext.ext-all.css', null, null, false);
echo $html->css('/css/tables.css', null, null, false);
echo $html->css('/css/modal.css', null, null, false);
echo $html->css('/css/search_forms.css', null, null, false);

echo $javascript->link('jquery.min.js', false);

if (isset($filter_form_settings)) {
	echo $this->element('AuthFilterForm', compact('filter_form_settings', 'filter'));
}

echo $javascript->codeBlock("
jQuery.noConflict(); \$j = jQuery;

\$j.fn.clearForm = function() {
  return this.each(function() {
    var type = this.type, tag = this.tagName.toLowerCase();
    if (tag == 'form')
      return \$j(':input',this).clearForm();
    if (type == 'text' || type == 'password' || tag == 'textarea')
      this.value = '';
    else if (type == 'checkbox' || type == 'radio')
      this.checked = false;
    else if (tag == 'select')
      this.selectedIndex = -1;
  });
};");

echo $javascript->codeBlock("
function clean(form) { 
	jQuery(form).clearForm(); 
	form.submit(); 
}
");

echo $paginator->counter(array('separator' => __(' из ',true) )); ?> 
<table cellspacing="0" cellpadding="0" class="liber"> 
    <tr>
        <th class="bold" style="width: 350px;"><?php echo $paginator->sort(__('Название',true), 'UdkWithoutTable.id', $filter);?></th> 
        <th class="bold" ><?php echo $paginator->sort(__('Документы',true), 'UdkWithoutTable.Qty', $filter);?></th> 
    </tr>
    <? foreach ($udks as $udk): ?>
    <tr>
		<td>
			<?php
			 echo $html->link(
				 $udk['UdkWithoutTable']['id'],
				 array(
				 	'controller' => 'UdkWithoutTables',
				 	'action'     => 'view',
				 	'id'        => str_replace('/', 'slash', $udk['UdkWithoutTable']['id']),
				 	'source'     => 'default',
				 ),
				 array('title' => $udk['UdkWithoutTable']['id'])
			 );
			?>
		</td>
 		<td><?= $udk['UdkWithoutTable']['Qty']; ?></td>
    </tr>
    <? endforeach; ?>
</table>
<?php echo $paginator->prev(__('<< Назад ',true)); ?> 
<?php echo $paginator->numbers($filter); ?> 
<?php echo $paginator->next(__(' Вперед >>',true)); ?>