/****** :  View [dbo].[opac_exemp]     : 04/25/2009 11:51:58 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[opac_exemp]'))
DROP VIEW [dbo].[opac_exemp]
GO

/****** :  View [dbo].[opac_exemp]     : 04/25/2009 11:45:49 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[opac_exemp] AS
SELECT     EXEMPLAIRE.idNotice, EXEMPLAIRE.IdExemplaire, EXEMPLAIRE.idBibliotheque, EXEMPLAIRE.idAnnexe, EXEMPLAIRE.IdFonds, 
                      EXEMPLAIRE.IdSupport, EXEMPLAIRE.CodBarE, EXEMPLAIRE.inventaire, CAST(EXEMPLAIRE.Cote AS nvarchar(100)) AS cote, 
                      RESERVATION.IdReservation, EXEMPLAIRE_RESA.IdExemplaireResa, EXEMPLAIRE_PHASE.IdExempPhase, PRET.IdPret, 
                      CAST(BIBLIOTHEQUE.Libelle AS nvarchar(200)) AS BIBLIOTHEQUE, 
                      CAST(FONDS.Libelle AS nvarchar(200)) AS FONDS, 
					  CAST(ANNEXE.Libelle AS nvarchar(200)) AS ANNEXE, 
					  CAST(PHASE.Libelle AS nvarchar(200)) AS PHASE, 
					  PHASE.PretPossible AS PhasePretable, 
						PHASE.ResaPossible AS PhaseReservable,
					  STATUTEXEMPLAIRE.Pretable AS StatutPretable, 
                      STATUTEXEMPLAIRE.Reservable AS StatusReservable
FROM         STATUTEXEMPLAIRE RIGHT OUTER JOIN
                      EXEMPLAIRE ON STATUTEXEMPLAIRE.IdStatut = EXEMPLAIRE.IdStatut RIGHT OUTER JOIN
                      ANNEXE ON EXEMPLAIRE.idAnnexe = ANNEXE.IdAnnexe LEFT OUTER JOIN
                      PHASE INNER JOIN
                      EXEMPLAIRE_PHASE ON PHASE.IdPhase = EXEMPLAIRE_PHASE.IdPhase ON 
                      EXEMPLAIRE.IdExemplaire = EXEMPLAIRE_PHASE.IdExemplaire LEFT OUTER JOIN
                      RESERVATION ON EXEMPLAIRE.IdExemplaire = RESERVATION.IdExemplaire LEFT OUTER JOIN
                      EXEMPLAIRE_RESA ON EXEMPLAIRE.IdExemplaire = EXEMPLAIRE_RESA.IdExemplaire LEFT OUTER JOIN
                      PRET ON EXEMPLAIRE.IdExemplaire = PRET.IdExemplaire LEFT OUTER JOIN
                      BIBLIOTHEQUE ON ANNEXE.idBibliotheque = BIBLIOTHEQUE.IdBibliotheque AND 
                      EXEMPLAIRE.idBibliotheque = BIBLIOTHEQUE.IdBibliotheque LEFT OUTER JOIN
                      FONDS ON EXEMPLAIRE.IdFonds = FONDS.IdFonds
GO