CREATE NONCLUSTERED INDEX [_dta_index_NOTICE_Z_8_33591358__K4_K5_K10_K3] ON [dbo].[NOTICE_Z] 
(
	[IdZone] ASC,
	[sZone] ASC,
	[Valeurn] ASC,
	[IdNotice] ASC
)WITH (SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF) ON [PRIMARY]

CREATE NONCLUSTERED INDEX [_dta_index_LienMatiere_8_1265595747__K3_K2] ON [dbo].[LienMatiere] 
(
	[IdMatiereChild] ASC,
	[IdMatiereParent] ASC
)WITH (SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF) ON [PRIMARY]

CREATE STATISTICS [_dta_stat_33591358_10_3_4] ON [dbo].[NOTICE_Z]([Valeurn], [IdNotice], [IdZone])


SET ARITHABORT ON
SET CONCAT_NULL_YIELDS_NULL ON
SET QUOTED_IDENTIFIER ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET NUMERIC_ROUNDABORT OFF
CREATE STATISTICS [_dta_stat_1635641020_8_14] ON [dbo].[MATIERE]([IdRetenue], [SujetRech])
GO

SET ARITHABORT ON
SET CONCAT_NULL_YIELDS_NULL ON
SET QUOTED_IDENTIFIER ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET NUMERIC_ROUNDABORT OFF
CREATE STATISTICS [_dta_stat_1635641020_1_8_14] ON [dbo].[MATIERE]([IdMatiere], [IdRetenue], [SujetRech])
GO

CREATE NONCLUSTERED INDEX [_dta_index_MATIERE_8_1635641020__K14_K1_K8_2_3_4_5_6_7_9_10_11_12_13] ON [dbo].[MATIERE] 
(
	[SujetRech] ASC,
	[IdMatiere] ASC,
	[IdRetenue] ASC
)
INCLUDE ( [Niveau],
[IdThesaurus],
[Sujet],
[VoirAussi],
[Commentaire],
[IdPere],
[IdLotEchange],
[DateCreation],
[UserCreation],
[DateMaj],
[UserMaj]) WITH (SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF) ON [PRIMARY]
GO