ALTER TABLE [dbo].[bookshelves] ADD  is_public  [int]  DEFAULT (0)
ALTER TABLE [dbo].[bookshelves] ADD  modified  [datetime] NULL
GO

CREATE TABLE [dbo].[opac_tags](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[tag] [nvarchar](30) NOT NULL,
	[user_id] [int] NULL,
	[created] [datetime] NULL,
	[modified] [datetime] NULL
) ON [PRIMARY]

GO
CREATE TABLE [dbo].[opac_notices_tags](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[notice_id] [int] NOT NULL,
	[tag_id] [int] NOT NULL,
	[user_id] [int] NOT NULL,
	[created] [datetime] NULL,
	[modified] [datetime] NULL
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[opac_comments](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[notice_id] [int] NOT NULL,
	[comment] [nvarchar](max) NOT NULL,
	[user_id] [int] NULL,
	[created] [datetime] NULL,
	[modified] [datetime] NULL
) ON [PRIMARY]

GO